DispatcherType (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.server

## Enum DispatcherType

- java.lang.Object
- - java.lang.Enum<DispatcherType>
  - - org.eclipse.jetty.server.DispatcherType

- All Implemented Interfaces:
    Serializable, Comparable<DispatcherType>

      public enum DispatcherType
      extends Enum<DispatcherType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASYNC`
    `ERROR`
    `FORWARD`
    `INCLUDE`
    `REQUEST`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DispatcherType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DispatcherType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FORWARD

          public static final DispatcherType FORWARD

    - #### INCLUDE

          public static final DispatcherType INCLUDE

    - #### REQUEST

          public static final DispatcherType REQUEST

    - #### ASYNC

          public static final DispatcherType ASYNC

    - #### ERROR

          public static final DispatcherType ERROR

  - ### Method Detail

    - #### values

          public static DispatcherType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DispatcherType c : DispatcherType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DispatcherType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.